"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetVCCLicense = exports.VCCLicenseMSSql = void 0;
const log4js = require("log4js");
let sql = require('mssql');
let logger = log4js.getLogger('Sql');
let sqlConn;
function VCCLicenseMSSql(app) {
    sqlConn = app.get('sqlConn');
}
exports.VCCLicenseMSSql = VCCLicenseMSSql;
function GetVCCLicense(VCC) {
    return new sql.Request(sqlConn)
        .input('VCC', sql.VarChar(50), VCC)
        .execute('GetVCCLicense')
        .then((sqlResult) => {
        let recordset = (sqlResult.recordsets?.length ? sqlResult.recordsets[0] : null);
        return Promise.resolve(recordset);
    }).catch((err) => {
        let errorMsg = (err && err.procName ? 'Error al ejecutar \'' + err.procName + '\': ' : 'Error al ejecutar consulta: ') + (err ? typeof err === 'string' ? err : err.message || err.description || '' : '');
        logger.error(errorMsg);
        return Promise.reject(err);
    });
}
exports.GetVCCLicense = GetVCCLicense;
