"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Redis = void 0;
const BatchScheduleRedis = require("./redis/batch-schedule.redis");
const DomainRedis = require("./redis/domain.redis");
const EvaluationRedis = require("./redis/evaluation.redis");
const EvaluationPlanAbilityRedis = require("./redis/evaluation-plan-ability.redis");
const I6Integration = require("./redis/i6-integration.redis");
const VccRedis = require("./redis/vcc.redis");
const RoleRedis = require("./redis/role.redis");
const SessionRedis = require("./redis/session.redis");
const UserRedis = require("./redis/user.redis");
const InteractionRedis = require("./redis/interaction.redis");
const ProcessRedis = require("./redis/process.redis");
const CognitiveRedis = require("./redis/cognitive.redis");
const NluRedis = require("./redis/nlu.redis");
const QueueRedis = require("./redis/queue.redis");
const PlatformRedis = require("./redis/platform.redis");
const StudyTemplateThemeRedis = require("./redis/study-template-theme.redis");
const SpeechmaticsRedis = require("./redis/speechmatics.redis");
const TipificationRedis = require("./redis/tipification.redis");
const CleanerRedis = require("./redis/cleaner.redis");
let Redis = {};
exports.Redis = Redis;
Object.assign(Redis, BatchScheduleRedis, DomainRedis, EvaluationRedis, EvaluationPlanAbilityRedis, I6Integration, VccRedis, RoleRedis, SessionRedis, StudyTemplateThemeRedis, UserRedis, InteractionRedis, ProcessRedis, CognitiveRedis, QueueRedis, PlatformRedis, NluRedis, SpeechmaticsRedis, TipificationRedis, CleanerRedis);
