"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbilityQueryEntity = exports.AbilityQuery = exports.Ability = exports.AbilityCalificationTypes = void 0;
class AbilityCalificationTypes {
    constructor(qualitative = 'QUALITATIVE', quantitative = 'QUANTITATIVE') {
        this.qualitative = qualitative;
        this.quantitative = quantitative;
    }
}
exports.AbilityCalificationTypes = AbilityCalificationTypes;
class Ability {
    constructor(id, title, detail, binary, notApply, acceptComments, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId, enabled) {
        this.id = id;
        this.title = title;
        this.detail = detail;
        this.binary = binary;
        this.notApply = notApply;
        this.acceptComments = acceptComments;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.enabled = enabled;
        this.selected = false;
        this.type = null;
        this.distribute = false;
        this.analysisType = null;
        this.calificationType = null;
        this.executionType = null;
        this.isCritical = null;
        this.queries = [];
        this.language = null;
        this.isNegative = false;
        this.degradeScoreCard = false;
    }
}
exports.Ability = Ability;
class AbilityQuery {
    constructor() {
        this.id = null;
        this.abilityId = null;
        this.queryId = null;
        this.queryContent = null;
        this.acceptancePercentage = 0;
        this.order = null;
        this.entities = [];
        this.createdDate = null;
        this.createdByUserId = null;
        this.lastModifiedDate = null;
        this.lastModifiedByUserId = null;
    }
}
exports.AbilityQuery = AbilityQuery;
class AbilityQueryEntity {
    constructor() {
        this.abilityQueryId = null;
        this.entityId = null;
        this.entityName = null;
        this.acceptancePercentage = 0;
        this.order = null;
        this.createdDate = null;
        this.createdByUserId = null;
        this.lastModifiedDate = null;
        this.lastModifiedByUserId = null;
    }
}
exports.AbilityQueryEntity = AbilityQueryEntity;
