"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserAccessToken = exports.IdathaAuth = exports.IdathaConnection = void 0;
const config_1 = require("../config/config");
class IdathaConnection {
    constructor() {
        this.user = config_1.IDATHA_USER;
        this.password = config_1.IDATHA_PASSWORD;
        this.ip = config_1.IDATHA_IP;
        this.httpPort = config_1.IDATHA_HTTP_PORT;
        this.sshPort = config_1.IDATHA_SSH_PORT;
    }
}
exports.IdathaConnection = IdathaConnection;
class IdathaAuth {
    constructor(vcc, userName, password, realm) {
        this.vcc = vcc;
        this.userName = userName;
        this.password = password;
        this.realm = realm;
    }
}
exports.IdathaAuth = IdathaAuth;
class UserAccessToken {
    constructor(vcc, userName, accessToken, realm, createdDate) {
        this.vcc = vcc;
        this.userName = userName;
        this.accessToken = accessToken;
        this.realm = realm;
        this.createdDate = createdDate;
    }
}
exports.UserAccessToken = UserAccessToken;
