"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReportProcedureParameter = exports.ReportProcedure = exports.Report = void 0;
class Report {
    constructor(id, description, procedure, startDate, endDate, frecuency, hourSpace, exactTime, weekday, dayMonth, summary, filter, email, type, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId) {
        this.id = id;
        this.description = description;
        this.procedure = procedure;
        this.startDate = startDate;
        this.endDate = endDate;
        this.frecuency = frecuency;
        this.hourSpace = hourSpace;
        this.exactTime = exactTime;
        this.weekday = weekday;
        this.dayMonth = dayMonth;
        this.summary = summary;
        this.filter = filter;
        this.email = email;
        this.type = type;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.selected = false;
    }
}
exports.Report = Report;
class ReportProcedure {
    constructor(name) {
        this.name = name;
    }
}
exports.ReportProcedure = ReportProcedure;
class ReportProcedureParameter {
    constructor(parameter, ordinal, type, maxLength, precission, scale, isOutput, hasDefaultValue) {
        this.parameter = parameter;
        this.ordinal = ordinal;
        this.type = type;
        this.maxLength = maxLength;
        this.precission = precission;
        this.scale = scale;
        this.isOutput = isOutput;
        this.hasDefaultValue = hasDefaultValue;
    }
}
exports.ReportProcedureParameter = ReportProcedureParameter;
