"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccountVCC = exports.AccountList = exports.PlatformAccount = exports.SubAccount = exports.Account = void 0;
class Account {
    constructor(installationId = '', accountId = '', subAccountId = '', user = '', token = '') {
        this.installationId = installationId;
        this.accountId = accountId;
        this.subAccountId = subAccountId;
        this.user = user;
        this.token = token;
    }
}
exports.Account = Account;
class SubAccount {
    constructor(installationId = '', accountId = '', subAccountId = '', user = '', token = '') {
        this.installationId = installationId;
        this.accountId = accountId;
        this.subAccountId = subAccountId;
        this.user = user;
        this.token = token;
        this.vcc = 0;
    }
}
exports.SubAccount = SubAccount;
class PlatformAccount {
    constructor(accountId = '', subAccountId = '', clientId = '', user = '', token = '', enabled) {
        this.accountId = accountId;
        this.subAccountId = subAccountId;
        this.clientId = clientId;
        this.user = user;
        this.token = token;
        this.enabled = enabled;
    }
}
exports.PlatformAccount = PlatformAccount;
class AccountList {
    constructor(account = [], subAccount = []) {
        this.account = account;
        this.subAccount = subAccount;
    }
}
exports.AccountList = AccountList;
class AccountVCC {
    constructor(installationId, accountId, subAccountId, asignableBalance, transcriptionRatePerHour, transcriptionRatePerSecond, semanticAnalysisRatePerTransaction, cognitiveAnalysisRatePerTransaction, vcc) {
        this.installationId = installationId;
        this.accountId = accountId;
        this.subAccountId = subAccountId;
        this.asignableBalance = asignableBalance;
        this.transcriptionRatePerHour = transcriptionRatePerHour;
        this.transcriptionRatePerSecond = transcriptionRatePerSecond;
        this.semanticAnalysisRatePerTransaction = semanticAnalysisRatePerTransaction;
        this.cognitiveAnalysisRatePerTransaction = cognitiveAnalysisRatePerTransaction;
        this.vcc = vcc;
    }
}
exports.AccountVCC = AccountVCC;
