"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomTemplateQuery = exports.CustomTemplate = void 0;
class CustomTemplate {
    constructor(id, name, description, template, category, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId) {
        this.id = id;
        this.name = name;
        this.description = description;
        this.template = template;
        this.category = category;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.selected = false;
    }
}
exports.CustomTemplate = CustomTemplate;
class CustomTemplateQuery {
    constructor(customTemplateId, query, logicOperator, openBracket, closeBracket, operator, description, description2, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId) {
        this.customTemplateId = customTemplateId;
        this.query = query;
        this.logicOperator = logicOperator;
        this.openBracket = openBracket;
        this.closeBracket = closeBracket;
        this.operator = operator;
        this.description = description;
        this.description2 = description2;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.selected = false;
    }
}
exports.CustomTemplateQuery = CustomTemplateQuery;
