"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CategoryPermission = exports.SinglePermission = exports.RoutePermission = exports.RolePermissionsGroup = exports.RolePermission = exports.RoleFunctions = exports.RoleCategory = exports.Role = void 0;
class Role {
    constructor(id, description, systemRole, createdDate, createdByUserId, lastModifiedDate, lastModifiedByUserId, type) {
        this.id = id;
        this.description = description;
        this.systemRole = systemRole;
        this.createdDate = createdDate;
        this.createdByUserId = createdByUserId;
        this.lastModifiedDate = lastModifiedDate;
        this.lastModifiedByUserId = lastModifiedByUserId;
        this.type = type;
        this.selected = false;
        this.roleFunctions = null;
    }
}
exports.Role = Role;
class RoleCategory {
    constructor() {
        this.categoryId = null;
    }
}
exports.RoleCategory = RoleCategory;
class RoleFunctions {
    constructor() {
        this.hasAdminFunctions = false;
        this.hasAgentFunctions = false;
        this.hasAuditorFunctions = false;
        this.hasSupervisorFunctions = false;
    }
}
exports.RoleFunctions = RoleFunctions;
class RolePermission {
    constructor(roleId, groupId) {
        this.roleId = roleId;
        this.groupId = groupId;
    }
}
exports.RolePermission = RolePermission;
class RolePermissionsGroup {
    constructor(groupId, category, type) {
        this.groupId = groupId;
        this.category = category;
        this.type = type;
        this.selected = false;
    }
}
exports.RolePermissionsGroup = RolePermissionsGroup;
class RoutePermission {
    constructor(routeId, groupId, route, level) {
        this.routeId = routeId;
        this.groupId = groupId;
        this.route = route;
        this.level = level;
    }
}
exports.RoutePermission = RoutePermission;
class SinglePermission {
    constructor(id, groupId, type, element) {
        this.id = id;
        this.groupId = groupId;
        this.type = type;
        this.element = element;
    }
}
exports.SinglePermission = SinglePermission;
class CategoryPermission {
    constructor(category, position) {
        this.category = category;
        this.position = position;
    }
}
exports.CategoryPermission = CategoryPermission;
