"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScoreTipificationItem = exports.ScoreTipificationQuery = exports.ScoreTipification = exports.Score = void 0;
class Score {
    constructor(id, description, value) {
        this.id = id;
        this.description = description;
        this.value = value;
        this.abilityId = null;
        this.tipifications = [];
    }
}
exports.Score = Score;
class ScoreTipification {
    constructor() {
        this.abilityId = null;
        this.scoreId = null;
        this.id = null;
        this.description = null;
        this.descriptionDetail = null;
        this.order = null;
        this.tipificationQuery = null;
        this.items = [];
        this.isChecked = false;
        this.comment = null;
        this.isNew = false;
    }
}
exports.ScoreTipification = ScoreTipification;
class ScoreTipificationQuery {
    constructor() {
        this.scoreId = null;
        this.tipificationId = null;
        this.queryId = null;
        this.queryContent = null;
        this.acceptancePercentage = 0;
        this.acceptanceInteger = 0;
    }
}
exports.ScoreTipificationQuery = ScoreTipificationQuery;
class ScoreTipificationItem {
    constructor() {
        this.scoreId = null;
        this.tipificationId = null;
        this.secondLevelItemId = null;
        this.id = null;
        this.description = null;
        this.order = null;
        this.isChecked = false;
    }
}
exports.ScoreTipificationItem = ScoreTipificationItem;
