"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Speechmatics = void 0;
class Speechmatics {
    constructor(type, value01, value02, value03) {
        this.ip = null;
        this.port = null;
        this.protocol = null;
        this.dns = null;
        this.token = null;
        this.type = null;
        this.available = null;
        this.type = type;
        switch (this.type) {
            case 'appliance':
                this.ip = value01;
                this.port = Number(value02);
                this.protocol = value03 ? value03 : 'http';
                break;
            case 'saas':
                this.dns = value01;
                this.token = value02;
                this.protocol = value03 ? value03 : 'https';
                this.available = true;
                break;
        }
    }
    get url() {
        let result = null;
        switch (this.type) {
            case 'appliance':
                result = `${this.ip}:${this.port}`;
                break;
            case 'saas':
                result = `${this.dns}`;
                break;
        }
        return result;
    }
}
exports.Speechmatics = Speechmatics;
